VOOZH about

URL: https://docs.similarweb.com/api-v5/api-reference/website-analysis-api/website-performance/referrals

⇱ Similarweb API V5 Documentation


Getting Started

Sections

Theme switcher

Referrals

Returns key outgoing and incoming referral traffic data for comprehensive website traffic insights. Including advertisers, publishers and social media networks.

Possible output fields:

  • domain: The website that either sends traffic to or receives traffic from the analyzed site.
  • share: Percentage of total referral traffic to or from the analyzed website that comes from this domain
  • change: Percentage point change of referral traffic share compared to the previous month
  • visits: Estimated number of visits to the website

This endpoint uses data credits. Read the following guide to estimate the credit costs.

Constraints:

  • Only monthly granularityis supported, or daily granularity for the last 28 days.
  • 'desktop' web_source supports both daily (last 28 days) and monthly granularity, while mobile_web and total (default) support only monthly granularity
  • change data is not available for daily granularity
  • publishers, advertisers and social referral types are only supported for desktop web_source

Header Parameters

api-keystring

Query Parameters

domainstring Required

Website domain without 'www.' (e.g., 'example.com')

start_datestring

Start date in 'YYYY-MM' or 'YYYY-MM-DD' format

end_datestring

End date in 'YYYY-MM' or 'YYYY-MM-DD' format

granularitystring

Time granularity

Enum values:
dailyweeklymonthly
web_sourcestring

Specifies the web source device type

Enum values:
desktopmobile_webtotal
countrystring

Two-letter country code (e.g., 'us', 'gb', 'ww')

main_domain_onlyboolean

'true' to include only the main domain, 'false' to include subdomains. Default is 'false'

referral_typestring

Type of referral: 'incoming' (default) for traffic sources, 'outgoing' for traffic destinations, 'publishers' for incoming advertiser websites, 'advertisers' for outgoing advertiser websites, 'social' for incoming social networks websites

Enum values:
incomingoutgoingadvertiserspublisherssocial
formatstring

Format in which the reply should be returned.

Enum values:
jsonxml
limitinteger

Number of items per page for pagination, default is 100

offsetinteger

Page number for pagination, starting from 1

ascboolean

Sort order direction, 'true' for ascending, 'false' for descending. Default is 'false'

Nullable:
True
sortstring

Sort order for the results, applied on the properties of the returned record

Response

200
Object

Success

Response Attributes

metaobject
dataarray
Nullable:
True
Was this section helpful?

GET

/

Select
1

Response

Was this section helpful?